escript::reducerstatus Namespace Reference

## Variables

const unsigned char | NONE =0
const unsigned char | INTERESTED =1
const unsigned char | OLD =2
const unsigned char | OLDINTERESTED =3
const unsigned char | NEW =4
const unsigned char | ERROR ='!'

## Variable Documentation

## ERROR

const unsigned char escript::reducerstatus::ERROR ='!'

## INTERESTED

const unsigned char escript::reducerstatus::INTERESTED =1

Referenced by escript::SubWorld::debug(), escript::SubWorld::getLocalObjectVariable(), escript::SubWorld::getScalarVariable(), escript::SubWorld::resetInterest(), escript::SubWorld::synchVariableInfo(), and escript::SubWorld::synchVariableValues().

## NEW

const unsigned char escript::reducerstatus::NEW =4

Referenced by escript::SubWorld::debug(), escript::SubWorld::localTransport(), escript::SubWorld::setAllVarsState(), escript::SubWorld::synchVariableInfo(), and escript::SubWorld::synchVariableValues().

## NONE

const unsigned char escript::reducerstatus::NONE =0

Referenced by escript::SubWorld::addVariable(), escript::SubWorld::clearVariable(), escript::SubWorld::debug(), escript::SubWorld::getLocalObjectVariable(), escript::SubWorld::getScalarVariable(), escript::SubWorld::resetInterest(), escript::SubWorld::setAllVarsState(), escript::SubWorld::synchVariableInfo(), and escript::SubWorld::synchVariableValues().

## OLD

const unsigned char escript::reducerstatus::OLD =2

Referenced by escript::SubWorld::debug(), escript::SubWorld::getLocalObjectVariable(), escript::SubWorld::getScalarVariable(), escript::SubWorld::resetInterest(), escript::SubWorld::synchVariableInfo(), and escript::SubWorld::synchVariableValues().

## OLDINTERESTED

const unsigned char escript::reducerstatus::OLDINTERESTED =3

Referenced by escript::SubWorld::debug(), escript::SubWorld::getLocalObjectVariable(), escript::SubWorld::getScalarVariable(), escript::SubWorld::resetInterest(), escript::SubWorld::synchVariableInfo(), and escript::SubWorld::synchVariableValues().